Page MenuHomePhabricator

cloudvps: wildcat project trusty deprecation
Closed, ResolvedPublic

Description

Ubuntu Trusty is no longer available in Cloud VPS since Nov 2017 for new instances. However, the EOL of Trusty is approaching in 2019 and we need to move to Debian Stretch before that date.

All instances in the wildcat project needs to upgrade as soon as possible.

The list of affected VMs is:

  • danny-b.wildcat.eqiad.wmflabs

Listed administrator are:

More info in openstack browser: https://tools.wmflabs.org/openstack-browser/project/wildcat

Details

Related Gerrit Patches:
operations/puppet : productionHorizon: move 'wildcat' project to eqiad1-r

Event Timeline

aborrero triaged this task as Medium priority.Sep 18 2018, 12:27 PM
aborrero created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 18 2018, 12:27 PM

Hey @Danny_B! Just a friendly reminder that you should get rid of your Trusty instances as described in https://wikitech.wikimedia.org/wiki/News/Trusty_deprecation#Cloud_VPS_projects. The deadline is 2018-12-18. Please get in contact if you need help.

Another ping. Deadline is approaching (2018-12-18).

Change 479055 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] Horizon: move 'wildcat' project to eqiad1-r

https://gerrit.wikimedia.org/r/479055

Change 479055 merged by Andrew Bogott:
[operations/puppet@production] Horizon: move 'wildcat' project to eqiad1-r

https://gerrit.wikimedia.org/r/479055

Ping. Today is Friday and the deadline is Tuesday.

@Danny_B: I understand that you're planning to replace this with a stretch instance in the eqiad1-r region? Please remember to write relevant status updates on the Phabricator ticket. I will leave this project off of https://wikitech.wikimedia.org/wiki/Portal:Cloud_VPS/Admin/Projects/Potentially_unmaintained for the moment

Hi! Since the deadline already passed, we agreed on shutting down remaining Trusty instances on 2019-01-18. More info at https://wikitech.wikimedia.org/wiki/News/Trusty_deprecation#Cloud_VPS_projects

Old instance should be powered off today

It seems the wildcat project only has one VM now ('dannyb') and it's based on Debian Stretch already.

Mentioned in SAL (#wikimedia-cloud) [2019-01-21T16:47:49Z] <arturo> T204703 shutdown ubuntu VM: danny-b

aborrero closed this task as Resolved.Feb 5 2019, 5:12 PM

Mentioned in SAL (#wikimedia-cloud) [2019-03-14T23:05:32Z] <bd808> Deleted danny-b.wildcat.eqiad.wmflabs (T204703)